﻿<%@ Control Language="C#" AutoEventWireup="True" CodeBehind="MembersDashboardAcsExtensions.ascx.cs" Inherits="dashboardUtilities.MembersDashboardAcsExtensions" %>
<%@ Register Namespace="umbraco.uicontrols" Assembly="controls" TagPrefix="umb" %>

<div class="dashboardWrapper">
    <h2 style="padding-left:55px;">Access Control Service Extensions for Umbraco</h2>
    <img src="/umbraco/dashboard/images/acsExtensionsLogo49x32.png" alt="Umbraco" class="dashboardIcon" />
    
    <h3>Working with social members</h3>
    <p>
        With the ACS Extensions you can add members directly from social providers such as Facebook, Windows Live ID, Google and Yahoo!
    </p>

    <h3>More about social members</h3>
    <div class="dashboardColWrapper">
        <div class="dashboardCols">
            <div class="dashboardCol">
                <ul>
                    <li>Learn more about how to add and manage social members <a href="http://umbracoacsextensions.codeplex.com/documentation" target="_blank">here</a></li>
                </ul>
            </div>
        </div>
    </div>

    <asp:panel runat="server" ID="SocialMembersWarningsPanel" CssClass="error">
        <asp:panel runat="server" ID="NoAcsNamespacePanel1">
            <ul>
                <li>
                    The ACS Extensions are currently not configured. In order to use the Social Members feature, please go to <a target="_blank" href="/install/?installStep=ACSExtensions">ACS Extensions setup page</a>, enter your ACS namespace and provide the details of the SMTP server you want to use for notifications.
                </li>
            </ul>
        </asp:panel>
        <asp:panel runat="server" ID="NoSmtpPanel">
            <ul>
                <li>
                    There is no a valid SMTP server configured. In order to use the Social Members feature, please go to <a target="_blank" href="/install/?installStep=ACSExtensions">ACS Extensions setup page</a> and provide the details of the SMTP server you want to use for notifications.
                </li>
            </ul>
        </asp:panel>
    </asp:panel>

    <h3>Working with business identity providers</h3>
    <p>
        The ACS Extensions allow you to accept federated members from business identity providers such as Active Directory and any directory service capable of federation.
    </p>

    <h3>More about business identity providers</h3>
    <div class="dashboardColWrapper">
        <div class="dashboardCols">
            <div class="dashboardCol">
                <ul>
                    <li>Learn more about how to establish authorization policies for federated members <a href="http://umbracoacsextensions.codeplex.com/documentation" target="_blank">here</a></li>
                </ul>
            </div>
        </div>
    </div>

    <asp:panel runat="server" ID="FederatedMembersWarningsPanel" CssClass="error">
        <asp:panel runat="server" ID="NoAcsNamespacePanel2">
            <ul>
                <li>
                    You need to configure programmatic access to ACS before you can create access policies for business identity providers. Go to <a target="_blank" href="/install/?installStep=ACSExtensions">ACS Extensions setup page</a> and provide your ACS namespace and management key.
                </li>
            </ul>
        </asp:panel>
        <asp:panel runat="server" ID="NoManagementKeyPanel">
            <ul>
                <li>
                    You need to configure programmatic access to ACS before you can create access policies for business identity providers. Go to <a target="_blank" href="/install/?installStep=ACSExtensions">ACS Extensions setup page</a> and provide your ACS management key.
                </li>
            </ul>
        </asp:panel>
        <asp:panel runat="server" ID="NoIdentityProviderPanel">
            <ul>
                <li>
                    Your ACS namespace does not have any business identity provider configured. To add an identity provider, navigate to the ACS management portal at the page <a target="_blank" href="https://<%=System.Web.Configuration.WebConfigurationManager.AppSettings["AcsNamespace"]%>.accesscontrol.windows.net/v2/mgmt/web/IdentityProvider">https://<%=System.Web.Configuration.WebConfigurationManager.AppSettings["AcsNamespace"]%>.accesscontrol.windows.net/v2/mgmt/web/IdentityProvider</a>.
                </li>
            </ul>
        </asp:panel>
    </asp:panel>

</div>