﻿// ----------------------------------------------------------------------------------
// Microsoft Developer & Platform Evangelism
// 
// Copyright (c) Microsoft Corporation. All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
// OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
// ----------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
// ----------------------------------------------------------------------------------

namespace dashboardUtilities
{
    using System;
    using System.Linq;
    using System.Web.Configuration;
    using umbraco.ACSExtensions;

    public partial class MembersDashboardAcsExtensions : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!this.Page.IsPostBack)
            {
                this.NoAcsNamespacePanel1.Visible = false;
                this.NoSmtpPanel.Visible = false;
                this.NoAcsNamespacePanel2.Visible = false;
                this.NoManagementKeyPanel.Visible = false;
                this.NoIdentityProviderPanel.Visible = false;

                if (string.IsNullOrWhiteSpace(WebConfigurationManager.AppSettings["AcsNamespace"]))
                {
                    this.NoAcsNamespacePanel1.Visible = true;
                    this.NoAcsNamespacePanel2.Visible = true;
                }
                else if (!ACSExtensionsSettings.ValidSmtp())
                {
                    this.NoSmtpPanel.Visible = true;
                }

                if (!this.NoAcsNamespacePanel2.Visible)
                {
                    if (string.IsNullOrWhiteSpace(WebConfigurationManager.AppSettings["AcsManagementKey"]))
                    {
                        this.NoManagementKeyPanel.Visible = true;
                    }
                    else
                    {
                        var mappingRuleRepository = new XmlMappingRuleRepository();
                        var businessIdentityProviders = mappingRuleRepository.RetrieveIdentityProviders();
                        if (businessIdentityProviders.Count() == 0)
                        {
                            this.NoIdentityProviderPanel.Visible = true;
                        }
                    }
                }

                this.SocialMembersWarningsPanel.Visible =
                    this.NoAcsNamespacePanel1.Visible ||
                    this.NoSmtpPanel.Visible;

                this.FederatedMembersWarningsPanel.Visible =
                    this.NoAcsNamespacePanel2.Visible ||
                    this.NoManagementKeyPanel.Visible ||
                    this.NoIdentityProviderPanel.Visible;
            }
        }
    }
}