﻿<%@ Page Title="" Language="C#" MasterPageFile="../masterpages/umbracoPage.Master"
    AutoEventWireup="true" CodeBehind="ViewMemberGroupMappings.aspx.cs" Inherits="umbraco.ViewMemberGroupMappings" %>

<%@ Register TagPrefix="cc1" Namespace="umbraco.uicontrols" Assembly="controls" %>

<asp:Content ID="Content2" ContentPlaceHolderID="body" runat="server">
    <cc1:UmbracoPanel ID="MainPanel" runat="server">
        <cc1:Pane ID="Pane1" runat="server">
        
            <h3>Authorization rules mapping for one federated member to member groups</h3>
            <p>
                Use this section to tell Umbraco how to map with members coming from federated business identity providers (IP) into one member group.
            </p>
            <p>
                For every member role you defined in Umbraco, you can create mappings which establish under which condition a federated member should be assigned to that role.
            </p>
            <p>
                The mappings are expressed as simple rules: if a member coming from a given IP bears a claim of a certain type with a given value, then he or she is considered as belonging to the member group where the rule has been created.
            </p>
            <p>
                To know more about rules see <a target="_blank" href="http://umbracoacsextensions.codeplex.com/documentation">http://umbracoacsextensions.codeplex.com/documentation</a>
            </p>
        
            <asp:Repeater ID="MappingsRepeater" OnItemDataBound="BindMapping" runat="server">
                <HeaderTemplate>
                    <table rules="rows" border="0" class="members_table">
                        <thead>
                            <tr>
                                <th style="width:250px;">Incoming Claim Type</th>
                                <th style="width:100px;">Incoming Claim Value</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                </HeaderTemplate>
                <ItemTemplate>
                    <tr>
                        <td><asp:Literal ID="ClaimType" runat="server"></asp:Literal></td>
                        <td><asp:Literal ID="ClaimValue" runat="server"></asp:Literal></td>
                        <td>
                            <asp:Button ID="EditButton" runat="server" Text="Edit" />
                            <asp:Button ID="DeleteButton" runat="server" Text="Delete" OnCommand="DeleteMapping" Visible="false" />
                        </td>
                    </tr>
                </ItemTemplate>
                <AlternatingItemTemplate>
                    <tr class="alt">
                        <td><asp:Literal ID="ClaimType" runat="server"></asp:Literal></td>
                        <td><asp:Literal ID="ClaimValue" runat="server"></asp:Literal></td>
                        <td>
                            <asp:Button ID="EditButton" runat="server" Text="Edit" />
                            <asp:Button ID="DeleteButton" runat="server" Text="Delete" OnCommand="DeleteMapping" Visible="false" />
                        </td>
                    </tr>
                </AlternatingItemTemplate>
                <FooterTemplate>
                        </tbody>
                    </table>
                </FooterTemplate>
            </asp:Repeater>
        </cc1:Pane>
    </cc1:UmbracoPanel>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="footer" runat="server">
</asp:Content>