﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="FederatedLogin.ascx.cs" Inherits="umbraco.ACSExtensions.FederatedLogin" EnableViewState="false" %>
<asp:Panel runat="server" ID="ErrorPanel" Visible="false">
    <h3>Error!</h3>
    <p><asp:Label runat="server" ID="ErrorDetails" /></p>
    <p><asp:HyperLink runat="server" ID="LoginLink">Go Back</asp:HyperLink></p>
</asp:Panel>

<asp:Panel runat="server" ID="HrdPanel">

    <div id="SignInContent" class="SignInContent">
        <div id="IdentityProvidersLoading">Please wait...</div>
        <div id="IdentityProviders" class="IdentityProviders" style="display:none;">
            <ul class="listTasks" id="IdentityProvidersList">
            </ul>
        </div>
    </div>

    <script type="text/javascript">
        var identityProviders = [];
        var maxImageWidth = 240;
        var maxImageHeight = 40;

        // This function will be called back by the HRD metadata, and is responsible for displaying the sign-in page.
        function ShowSigninPage(json) {
            var numIdentityProviderButtons = 0;
            identityProviders = json;

            if (identityProviders.length == 0) {
                var mainDiv = document.getElementById("SignInContent");
                mainDiv.appendChild(document.createElement("br"));
                mainDiv.appendChild(document.createTextNode("Error: No identity providers are associated with this application."));
            }

            // Loop through the identity providers
            for (var i in identityProviders) {
                // Show all sign-in options
                CreateIdentityProviderButton(identityProviders[i]);
                numIdentityProviderButtons++;
            }

            ShowDefaultSigninPage();

            document.getElementById("IdentityProvidersLoading").style.display = "none";
        }

        // Resets the sign-in page to its original state before the user logged in.
        function ShowDefaultSigninPage() {
            var numIdentityProviderButtons = 0;
            document.getElementById("IdentityProvidersList").innerHTML = "";
            for (var i in identityProviders) {
                CreateIdentityProviderButton(identityProviders[i]);
                numIdentityProviderButtons++;
            }

            ShowSigninControls(numIdentityProviderButtons);
        }

        // Reveals the sign-in controls on the sign-in page, and ensures they are sized correctly
        function ShowSigninControls(numIdentityProviderButtons) {

            // Display the identity provider links, and size the page accordingly
            if (numIdentityProviderButtons > 0) {
                document.getElementById("IdentityProviders").style.display = "";
                /*if (numIdentityProviderButtons > 4) {
                    var height = 325 + ((numIdentityProviderButtons - 4) * 55);
                    document.getElementById("SignInContent").style.height = height + "px";
                }*/
            }
        }

        // Creates a stylized link to an identity provider's login page
        function CreateIdentityProviderButton(identityProvider) {
            var idpList = document.getElementById("IdentityProvidersList");

            var li = document.createElement("li");
            li.className = "list";

            var p = document.createElement("p");

            var link = document.createElement("a");
            link.className = "title";
            link.appendChild(document.createTextNode(identityProvider.Name));
            link.setAttribute("href", identityProvider.LoginUrl);

            p.appendChild(link);
            li.appendChild(p);
            idpList.appendChild(li);
        }
    </script>

    <!-- This script gets the HRD metadata in JSON and calls the callback function which renders the links -->
    <script src="<%=this.IdentityProvidersJsonEndpoint%>&callback=ShowSigninPage" type="text/javascript"></script>
    
</asp:Panel>