﻿// ----------------------------------------------------------------------------------
// Microsoft Developer & Platform Evangelism
// 
// Copyright (c) Microsoft Corporation. All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
// OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
// ----------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
// ----------------------------------------------------------------------------------

namespace umbraco.ACSExtensions
{
    using System.Xml;

    public class FederatedAuthenticationElement
    {
        private XmlElement cookieHandler;
        private WSFederationElement wsFederatoin;

        public FederatedAuthenticationElement()
            : this(null)
        {
        }

        public FederatedAuthenticationElement(WSFederationElement wsFederation)
        {
            this.wsFederatoin = wsFederation;
        }

        public XmlElement CookieHandler
        {
            get
            {
                return this.cookieHandler;
            }

            set
            {
                this.cookieHandler = value;
            }
        }

        public WSFederationElement WSFederation
        {
            get
            {
                return this.wsFederatoin;
            }

            set
            {
                this.wsFederatoin = value;
            }
        }
    }
}