﻿// ----------------------------------------------------------------------------------
// Microsoft Developer & Platform Evangelism
// 
// Copyright (c) Microsoft Corporation. All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
// OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
// ----------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
// ----------------------------------------------------------------------------------

namespace umbraco.ACSExtensions
{
    using System;
    using System.Collections.ObjectModel;

    public class IssuerNameRegistryElement
    {
        private Collection<TrustedIssuerElement> trustedIssuers;
        private string type;

        public IssuerNameRegistryElement(string type)
            : this(type, null)
        {
        }

        public IssuerNameRegistryElement(string type, TrustedIssuerElement trustedIssuer)
        {
            this.trustedIssuers = new Collection<TrustedIssuerElement>();
            if (string.IsNullOrEmpty(type))
            {
                throw new ArgumentNullException("type");
            }

            this.type = type;
            if (trustedIssuer != null)
            {
                this.trustedIssuers.Add(trustedIssuer);
            }
        }

        public Collection<TrustedIssuerElement> TrustedIssuers
        {
            get
            {
                return this.trustedIssuers;
            }

            set
            {
                this.trustedIssuers = value;
            }
        }

        public string Type
        {
            get
            {
                return this.type;
            }
        }
    }
}